package com.alterdekim.game.component.game.home;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@AllArgsConstructor
public class HomeInventoryGroup {

    @JacksonXmlProperty(isAttribute = true, localName = "ID")
    @Getter
    private String id;

    @JacksonXmlProperty(isAttribute = true, localName = "AObjectTypeId")
    private Integer objectTypeId;

    @JacksonXmlProperty(isAttribute = true, localName = "AObjectId")
    @Getter
    @Setter
    private Long objectId;

    @JacksonXmlProperty(isAttribute = true, localName = "AObjectRefTypeId")
    private Integer objectRefTypeId;

    @JacksonXmlProperty(isAttribute = true, localName = "MediaResourceID")
    private Integer mediaResourceID;

    @JacksonXmlProperty(isAttribute = true, localName = "TextResourceID")
    private Integer textResourceID;

    @JacksonXmlProperty(isAttribute = false, localName = "object")
    @JacksonXmlElementWrapper(useWrapping = false, localName = "object")
    @Getter
    private List<HomeInventoryObject> object;
}
