package com.alterdekim.game.component.game.minigame;

import com.alterdekim.game.message.amf.AMFKey;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

@AllArgsConstructor
public class MultiplayerMinigameWaiting {
    private Map<String, List<Players>> players;
    private Integer number;
    private Boolean flag;

    @AllArgsConstructor
    public static class Players {
        @AMFKey(name = "ID")
        private Integer id;
        @AMFKey(name = "Name")
        private String name;
    }
}
