package com.alterdekim.game.controller.result.async.old;


import com.alterdekim.game.controller.result.async.ServerActionConfig;
import com.alterdekim.game.controller.result.async.ServerActionServers;
import com.alterdekim.game.controller.result.async.ServerActionSystem;
import com.alterdekim.game.controller.result.async.ServerActionUser;
import com.alterdekim.game.entity.MediaResourcePath;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;

import java.util.List;

@AllArgsConstructor
public class ServerActionCDataOld {
    @JacksonXmlProperty(isAttribute = false, localName = "user")
    private ServerActionUser user;

    @JacksonXmlProperty(isAttribute = false, localName = "config")
    private ServerActionConfig config;

    @JacksonXmlProperty(isAttribute = false, localName = "system")
    private ServerActionSystem system;

    @JacksonXmlProperty(isAttribute = false, localName = "servers")
    private ServerActionServers servers;

    @JacksonXmlProperty(isAttribute = false, localName = "mrtroot")
    @JacksonXmlElementWrapper(useWrapping = true, localName = "mrtroot")
    private List<MediaResourcePath> mrtRoot;
}
