package com.alterdekim.game.entity;

import com.alterdekim.flash.decompiler.mapper.FlashClass;
import com.alterdekim.flash.decompiler.mapper.FlashValue;
import com.alterdekim.flash.decompiler.mapper.FlashValueType;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
@Entity
@Table(name = "phone_icons")
@FlashClass(name = "ph")
public class PhoneIcon {
    @Id
    @FlashValue(type = FlashValueType.Id)
    private Long id;

    @FlashValue(type = FlashValueType.Value)
    @Column(nullable = false)
    private Integer iconMRId;
}
