package com.alterdekim.game.component.game.home;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;
import lombok.AllArgsConstructor;

import java.util.List;


@AllArgsConstructor
@JacksonXmlRootElement(localName = "root")
public class HomeStuff {
    @JacksonXmlProperty(isAttribute = false, localName = "inventory")
    @JacksonXmlElementWrapper(useWrapping = true, localName = "inventory")
    private List<HomeInventoryGroup> inventory;

    @JacksonXmlProperty(isAttribute = false, localName = "locations")
    @JacksonXmlElementWrapper(useWrapping = true, localName = "locations")
    private List<HomeLocation> locations;
}
