package com.alterdekim.game.controller.result.async.old;

import com.alterdekim.game.entity.MediaResource;
import com.alterdekim.game.entity.ResourceObject;
import com.alterdekim.game.entity.TextResource;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

import java.util.List;

@AllArgsConstructor
@NoArgsConstructor
public class ResourcesResult {

    @JacksonXmlProperty(isAttribute = false, localName = "MediaResources")
    @JacksonXmlElementWrapper(useWrapping = true, localName = "MediaResources")
    private List<MediaResource> mediaResources;

    @JacksonXmlProperty(isAttribute = false, localName = "TextResources")
    @JacksonXmlElementWrapper(useWrapping = true, localName = "TextResources")
    private List<TextResource> textResources;

    @JacksonXmlProperty(isAttribute = false, localName = "ResourcesOptions")
    @JacksonXmlElementWrapper(useWrapping = true, localName = "ResourcesOptions")
    private List<ResourceObject> resourceOptions;
}
