package com.alterdekim.game.controller.result.async.old;

import com.alterdekim.game.controller.result.async.ServerActionCData;
import com.alterdekim.game.entity.MediaResourcePath;
import com.fasterxml.jackson.annotation.JsonRootName;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@JsonRootName(value = "mrtroot")
public class ServerActionMRTS extends ServerActionCData {
    @JacksonXmlElementWrapper(useWrapping = false, localName = "mrtroot")
    private List<MediaResourcePath> mrtRoot;
}
